org.apache.axiom.util.stax.xop

## Interface MimePartProvider

- All Known Implementing Classes:
    AttachmentsMimePartProvider, XOPEncodingStreamReader, XOPEncodingStreamWrapper, XOPEncodingStreamWriter

      public interface MimePartProvider

  Interface used by `XOPDecodingStreamReader` to load MIME parts referenced by `xop:Include` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.activation.DataHandler` | `getDataHandler(String contentID)` Get the `DataHandler` for the MIME part identified by a given content ID.
    `boolean` | `isLoaded(String contentID)` Check whether the MIME part identified by a given content ID has already been loaded.

- - ### Method Detail

    - #### isLoaded

          boolean isLoaded(String contentID)

      Check whether the MIME part identified by a given content ID has already been loaded. A return value of `true` means that a call to `getDataHandler(String)` (for the same content ID) will not block or will retrieve the `DataHandler` without overhead.
      Returns:
        `true` if the MIME part has already been loaded; `false` otherwise
      Throws:
        `IllegalArgumentException` - Thrown if the MIME part specified by the content ID doesn't exist. Note that the implementation may be unable to determine this without loading all the MIME parts. In this case, it should return `false`.

    - #### getDataHandler

          javax.activation.DataHandler getDataHandler(String contentID)
                                               throws IOException

      Get the `DataHandler` for the MIME part identified by a given content ID.
      Parameters:
        `contentID` - a content ID referenced in an `xop:Include` element
      Returns:
        the `DataHandler` for the MIME part identified by the content ID; may not be `null`
      Throws:
        `IllegalArgumentException` - if the MIME part was not found
        `IOException` - if an error occurred while loading the part

Copyright © The Apache Software Foundation. All Rights Reserved.